Package fr.gouv.vitam.worker.core.plugin.computeinheritedrules.model

# Class InheritedRule

java.lang.Object
fr.gouv.vitam.worker.core.plugin.computeinheritedrules.model.InheritedRule

Direct Known Subclasses:
  `AppraisalRule`, `ClassificationRule`, `StorageRule`

public class InheritedRule extends Object
InheritedRule

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InheritedRule()`
  `InheritedRule(LocalDate maxEndDate)`
  `InheritedRule(LocalDate maxEndDate, Map<String,LocalDate> ruleIdToRule, List<ComputedInheritedRuleModel> rules, RuleCategoryInheritanceOrigin ruleCategoryInheritanceOrigin, Set<String> inheritedRuleIds)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<String>`
  `getInheritedRuleIds()`
  `LocalDate`
  `getMaxEndDate()`
  `RuleCategoryInheritanceOrigin`
  `getRuleCategoryInheritanceOrigin()`
  `Map<String,LocalDate>`
  `getRuleIdToRule()`
  `List<ComputedInheritedRuleModel>`
  `getRules()`
  `InheritedRule`
  `setInheritedRuleIds(Set<String> inheritedRuleIds)`
  `void`
  `setMaxEndDate(LocalDate maxEndDate)`
  `InheritedRule`
  `setRuleCategoryInheritanceOrigin(RuleCategoryInheritanceOrigin ruleCategoryInheritanceOrigin)`
  `void`
  `setRuleIdToRule(String ruleId, LocalDate ruleMaxEndDate)`
  `void`
  `setRules(List<ComputedInheritedRuleModel> rules)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InheritedRule

    public InheritedRule()

  - ### InheritedRule

    public InheritedRule(LocalDate maxEndDate, Map<String,LocalDate> ruleIdToRule, List<ComputedInheritedRuleModel> rules, RuleCategoryInheritanceOrigin ruleCategoryInheritanceOrigin, Set<String> inheritedRuleIds)

  - ### InheritedRule

    public InheritedRule(LocalDate maxEndDate)

- ## Method Details

  - ### getMaxEndDate

    public LocalDate getMaxEndDate()

  - ### setMaxEndDate

    public void setMaxEndDate(LocalDate maxEndDate)

  - ### getRuleIdToRule

    public Map<String,LocalDate> getRuleIdToRule()

  - ### setRuleIdToRule

    public void setRuleIdToRule(String ruleId, LocalDate ruleMaxEndDate)

  - ### getRules

    public List<ComputedInheritedRuleModel> getRules()

  - ### setRules

    public void setRules(List<ComputedInheritedRuleModel> rules)

  - ### getRuleCategoryInheritanceOrigin

    public RuleCategoryInheritanceOrigin getRuleCategoryInheritanceOrigin()

  - ### setRuleCategoryInheritanceOrigin

    public InheritedRule setRuleCategoryInheritanceOrigin(RuleCategoryInheritanceOrigin ruleCategoryInheritanceOrigin)

  - ### getInheritedRuleIds

    public Set<String> getInheritedRuleIds()

  - ### setInheritedRuleIds

    public InheritedRule setInheritedRuleIds(Set<String> inheritedRuleIds)